# Created by pyp2rpm-1.0.1
%global pypi_name pkginfo

Name:           python-pkginfo
Version:        1.12.1.2
Release:        %mkrel 2
Group:          Development/Python
Summary:        Query metadata from sdists / bdists / installed packages
Url:            https://pypi.org/project/pkginfo/
License:        Python
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description
This package provides an API for querying the distutils metadata written in
the PKG-INFO file inside a source distribution (an sdist) or a binary
distribution (e.g., created by running bdist_egg). It can also query the
in a "development checkout" (e.g, created by running setup.py develop).

%package -n     python3-%{pypi_name}
Summary:        Query metadata from sdists / bdists / installed packages
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides an API for querying the distutils metadata written in
the PKG-INFO file inside a source distribution (an sdist) or a binary
distribution (e.g., created by running bdist_egg). It can also query the
in a "development checkout" (e.g, created by running setup.py develop).

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=$(pwd) sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files pkginfo

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html README.txt
%{_bindir}/pkginfo



%changelog
* Sat Mar 01 2025 wally <wally> 1.12.1.2-2.mga10
+ Revision: 2155537
- rebuild for python3.13

* Sat Mar 01 2025 wally <wally> 1.12.1.2-1.mga10
+ Revision: 2154749
- new version 1.12.1.2
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 1.10.0-1.mga10
+ Revision: 2077714
- new version 1.10.0

* Mon Dec 11 2023 papoteur <papoteur> 1.9.6-1.mga10
+ Revision: 2017166
- new 1.9.6

* Wed Sep 07 2022 neoclust <neoclust> 1.8.3-1.mga9
+ Revision: 1885119
- New version  1.8.3

* Tue Mar 29 2022 umeabot <umeabot> 1.8.2-2.mga9
+ Revision: 1832704
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 1.8.2-1.mga9
+ Revision: 1779501
- version 1.8.2
- rebuild for python-3.10

* Mon Aug 30 2021 wally <wally> 1.7.1-1.mga9
+ Revision: 1743630
- new version 1.7.1

* Mon Jan 11 2021 wally <wally> 1.5.0.1-6.mga9
+ Revision: 1671116
- provide and obsolete old python-pkginfo

* Sun Feb 16 2020 umeabot <umeabot> 1.5.0.1-5.mga8
+ Revision: 1531829
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 1.5.0.1-4.mga8
+ Revision: 1441250
- submit to core/release

* Sun Sep 15 2019 tv <tv> 1.5.0.1-3.mga8
+ Revision: 1441152
- rebuild for python-3.8
- drop python2 subpkg

* Tue Aug 20 2019 wally <wally> 1.5.0.1-2.mga8
+ Revision: 1430576
- update sphinx BRs

* Wed Jan 09 2019 shlomif <shlomif> 1.5.0.1-1.mga7
+ Revision: 1353780
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2b1-10.mga7
+ Revision: 1289672
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2b1-9.mga7
+ Revision: 1135545
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.2b1-8.mga6
+ Revision: 970650
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.2b1-7.mga6
+ Revision: 887483
- use right py3version macro
- BR python-sphinx_rtd_theme
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.2b1-6.mga5
+ Revision: 740654
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2b1-5.mga5
+ Revision: 729321
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 philippem <philippem> 1.2b1-3.mga5
+ Revision: 632636
- fix doc build
+ pterjan <pterjan>
- Rebuild for new Python

* Wed Jan 08 2014 joequant <joequant> 1.2b1-2.mga4
+ Revision: 565567
- push to core/release

* Sat Jan 04 2014 joequant <joequant> 1.2b1-1.mga4
+ Revision: 564568
- imported package python-pkginfo

